aboutsummaryrefslogtreecommitdiff
path: root/internal/p10k.zsh
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-10-28 19:07:11 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-10-28 19:07:11 +0300
commit8cb81ecd907a38fa71f1114521e534411e71397e (patch)
treebdfa7a4efa7bfd463b28d826826557edc4c360b4 /internal/p10k.zsh
parentc6c0ee59d789a31ed168705592864c55622d4190 (diff)
cheaper cache key in dir
Diffstat (limited to 'internal/p10k.zsh')
-rw-r--r--internal/p10k.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index dacd7138..77f30933 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -1459,7 +1459,7 @@ prompt_dir() {
else
local mtime='good'
fi
- if ! _p9k_cache_ephemeral_get $0 "${parts[@]}" || [[ -z $mtime || $mtime != $_p9k_cache_val[1] ]] ; then
+ if ! _p9k_cache_ephemeral_get $0 $e $i $_p9k_pwd || [[ -z $mtime || $mtime != $_p9k_cache_val[1] ]] ; then
_p9k_prompt_length $delim
local -i real_delim_len=_p9k_ret q=0
[[ -n $parts[i-1] ]] && parts[i-1]="\${(Q)\${:-${(qqq)${(q)parts[i-1]}}}}"$'\2'